# $Revision: 1.8 $, $Date: 2012/06/04 19:15:29 $
# TODO
# - gtk3 possible:   --enable-gtk3           enable to use gtk-3.0 instead of gtk-2.0
Summary:	Keyboard and mouse configurator for LXDE
Name:		lxinput
Version:	0.3.2
Release:	1
License:	GPL v3
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/lxde/%{name}-%{version}.tar.gz
# Source0-md5:	5bf563d04984ef2a147433f3bdda687b
URL:		http://www.lxde.org/
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 2:2.12.0
BuildRequires:	intltool >= 0.40
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LXInput is a small program used to configure keyboard and mouse for
LXDE.

%prep
%setup -q

%build
%configure
%{__make} V=1

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/{frp,ur_PK,tt_RU}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_bindir}/lxinput
%{_desktopdir}/lxinput.desktop
%{_datadir}/lxinput
%{_mandir}/man1/lxinput*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: lxinput.spec,v $
Revision 1.8  2012/06/04 19:15:29  witekfl
- up to 0.3.2
- verbose build

Revision 1.7  2011/08/15 17:22:32  glen
- rebuild

Revision 1.6  2011/08/15 15:02:07  lmasko
- Locale fix.

Revision 1.5  2011/08/15 07:37:33  glen
- up to 0.3.1

Revision 1.4  2010/09/14 19:33:59  glen
- ws cleanup

Revision 1.3  2010/08/23 10:32:44  glen
- autoup to 0.3.0

Revision 1.2  2010/07/30 22:51:55  charles
- BR: gettext-devel, intltool, pkgconfig

Revision 1.1  2010/07/29 17:02:18  witekfl
- new
